Subject: Re: On the NECESSITY of MIP for LMM (was Re: [Mipshop] WG Last Call comments...)

From: "[email-masked]" <[email-masked]>
Date: Thu, 30 Oct 2003 17:56:44 -0500

Micro-mobility was split off from the Mobile IP
group a few years back.   Seamoby working group
produced a requirements draft for micro-mobility.

LMM (used in MIP group) came to have a connotation 
of a local mobility solution that is derived from or
assumes a global mobility solution based on MIP. I am
not saying that I agree with this... but from all of
the discussions that we had over the past two years on
LMM, this is what I have observed.

I think (my opinion) is that we should move forward with
the LMM requirements draft as is (given editorial changes
suggested so far).  My concern is that a general requirements
draft isn't as straight forward as is being stated.  The
goal here is in advancing LMM in the context of mipshop
- which has a charter based on MIP solutions.

But I am open to working with Pekka on generic requirements
document if that is what the decision is. 

Carl

Original Message:
-----------------
From: James Kempf [email-masked]
Date: Thu, 30 Oct 2003 10:51:10 -0800
To: [email-masked], [email-masked],
[email-masked], [email-masked], [email-masked]
Subject: Re: On the NECESSITY of MIP for LMM (was Re: [Mipshop] WG Last
Call comments...)

Jean-Michel,

If I understand Pekka's proposal, it is not to introduce any protocol work
for LMM that is nonMIP related, but rather to improve the quality of the LMM
draft by making it solution-neutral, as requirements drafts typically are.
The charter for MIPSHOP does not allow any nonMIP related protocol work, it
was explicitly restricted to the 2 ongoing drafts in order to limit scope
and the the lifetime of the group.

            jak

----- Original Message ----- 
From: "Jean-Michel COMBES" <[email-masked]>
To: "Pekka Nikander" <[email-masked]>; "Soliman Hesham"
<[email-masked]>
Cc: <[email-masked]>; <[email-masked]>
Sent: Thursday, October 30, 2003 7:24 AM
Subject: RE: On the NECESSITY of MIP for LMM (was Re: [Mipshop] WG Last Call
comments...)

> Hi Pekka,
>
> As far as I remember, at the beginning of micro-mobility standardization,
we
> (IETF people) have decided to split the work in two WGs :
> - MIP based solutions in MIP WG (and LMM is one of these works), eg.
HMIPv6
> - non-MIP based solution in Seamoby WG (and later in IRTF), eg. HAWAII,
> Cellular IP
>
> So, today, MIP WG has been split in two new WGs :
> - MIP6 (to work on MIPv6)
> - MIPSHOP (to work on MIPv6 based solutions)
>
> So, IMHO, a non-based MIPv6 solution is not in the right place in MIPSHOP
> WG.
>
> Hope that helps.
>
> Best regards.
>
> JMC.
>
> France Telecom R&D - DTL/SSR
> Jean-Michel COMBES, Internet/Intranet Security
> E-Mail : [email-masked]
> Phone +33 (0)1 45 29 45 94, Fax +33 (0)1 45 29 65 19
>
> > -----Message d'origine-----
> > De : [email-masked] [mailto:[email-masked]]De la part de
> > Pekka Nikander
> > Envoye : jeudi 30 octobre 2003 12:44
> > A : Soliman Hesham
> > Cc : [email-masked]; [email-masked]
> > Objet : On the NECESSITY of MIP for LMM (was Re: [Mipshop] WG Last Call
> > comments...)
> >
> >
> > Hesham,
> >
> > >  > If I understand this correctly, this basically says that the
> > >  > LMM protocol does not necessarily have anything to do with Mobile
IP.
> >                             ^^^^^^^^^^^
> > >
> > > => I'm not sure that this implies that it has nothing to
> > > do with MIP.
> >
> > Please read more carefully.  It does say that the solution does
> > not *necessarily* have anything to do with Mobile IP.  In other
> > words, that requirement makes it *possible* to create solutions
> > that have nothing to do with MIP.  (not necessarily A implies
> > possibly not A)
> >
> > I did not say that it implies that it has nothing to do with
> > MIP; it only implies that there *exists* solutions that fulfil
> > the requirements but have nothing to do with MIP.
> >
> > > It simply says that you should not modify
> > > the HA and CN. At least, from memory, that was the intention.
> >
> > Right.  And that requirement implies that there *exists* solutions
> > that are compatible with the requirements but have nothing to do
> > with MIP.   (Am I repeating myself, aren't I? :-)
> >
> > In other words, since HA and CN must not be modified, and since
> > if a protocol is modified then both communicating parties must be
> > modified, the requirement says that MIP must not be modified.
> > Consequently, if MIP must not be modified, there exist solutions
> > that have nothing to do with MIP.  I could make this argument
> > formal, but it would not be easy to read.
> >
> > >  > While it is certainly possible to fulfil this requirement in
> > >  > a way that is very Mobile IP dependent, it is also certainly
> > >  > possible to fulfil this requirement with a protocol that does not
> > >  > depend on Mobile IP at all.
> > >
> > > => Of course.
> >
> > So you agree with me above.
> >
> > > But I guess you'd agree that when one writes
> > > a document/paper the context is assumed from the title/intro.
> > > Which would mean that you don't have to restate that context
> > > in every sentence. That would make the document unreadable
> > > and boring. So if we modify the title to one of Gab's
> > > suggestions and the abstract/intro already has the right
> > > context then I think that should be sufficient.
> >
> > I don't really understand what you are arguing.
> >
> > What I am saying is basically what James and I tried to say already
> > before, even in a draft.
> >
> >    WE SHOULD NOT RESTRICT OURSELVES to the Mobile IP blinders
> >    when we are dealing with LMM.
> >
> > Now even the requirements draft says that MIP must not be modified
> > by the LMM solutions, therefore making strictly less reason to think
> > narrowly and look at MIP based solutions.
> >
> > In other words:
> >
> >    There is no whatsover *technical* ground to require that the
> >    IETF endorsed LMM solution MUST be MIP based.
> >
> > It MAY be MIP based, of course.  There are no technical reasons
> > that prevent that.  OTOH, if there are simpler solutions that
> > have nothing to do with MIP, why don't we use them?
> >
> > (Note that I am not advocating HIP here.  HIP is most probably
> > too heavy for LMM.  As is IPsec and AAA, too.  What I have in
> > mind is much simpler, to hopefully appear as a paper soon.
> > However, it would be waste of time to discuss it here unless
> > people get rid of their narrow-minded MIP-focused blinders.)
> >
> > --Pekka Nikander
> >
> >
> >
> > _______________________________________________
> > Mipshop mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/mipshop
>
>
> _______________________________________________
> Mipshop mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mipshop
>

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

--------------------------------------------------------------------
mail2web - Check your email from the web at
http://mail2web.com/ .

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop